<!DOCTYPE html>
<html lang="en-us">
<title>Bash Hugo | Bakey.us - Blog</title>
<meta charset="utf-8">
<meta name="generator" content="Hugo 0.58.3" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="canonical" href="http://bakey.us/blog/posts/bash-hugo/">
<link rel="alternate" type="application/rss+xml" href="" title="Bakey.us - Blog">
<link rel="stylesheet" href="http://bakey.us/blog/css/theme.css">
<link rel="stylesheet" href="http://bakey.us/blog/css/classes.css">

<header class="dark">
  <h2><a href="http://bakey.us/blog/">Bakey.us - Blog</a></h2>
  <nav>
    
  </nav>
</header>

<article>
  <header>
    <h1><a href="http://bakey.us/blog/posts/bash-hugo/">Bash Hugo</a></h1>
    <p class="meta"><time datetime="2019-09-24T11:27:31-05:00">September 24, 2019</time></p>
  </header>
  <p>In setting up this new blog software <a href="https://gohugo.io/">hugo</a>, I needed to scrape together a handful of shell scripts to make my workflow easier.  The first one I slung together is newpost.sh</p>

<pre><code class="language-bash">#!/bin/bash
hugo new posts/&quot;$1&quot;
</code></pre>

<p>A very simple shim so I don&rsquo;t have to remember the hugo command or the path to store new posts to. It takes an argument ($1) that is the markdown file for the new post I want to create. I can call it like so: &ldquo;./newpost.sh bash-hugo.md&rdquo;</p>

<p>Now that I have the basis of a new post, I can edit it in markdown until I&rsquo;m happy, and then call blogpost.sh.</p>

<pre><code class="language-bash">#!/bin/bash
hugo -d ~/git/bakey.us/html/blog/
~/git/bakey.us/postblog.sh
</code></pre>

<p>This deploys the hugo generated static content out to my git repo for bakey.us.  Then it calls &ldquo;postblog.sh&rdquo; as you can see on line 2 there.</p>

<pre><code class="language-bash">#!/bin/bash
cd ~/git/bakey.us || exit
git add html/blog/* &amp;&amp; git commit -am &quot;new blog post&quot; &amp;&amp; git push
</code></pre>

<p>This last script is a simple set of git commands (run in the correct path on disk) that results in a push up to gitlab.com which has commit hooks that deploy my new code out to an nginx docker container.</p>

</article>



</html>
